#

API Docs for:
Show: Inherited Protected Private Deprecated

# YUI~dump Class

Defined in: `input/test2/dump/dump.js:18`
Module: dump

The following methods are added to the YUI instance

- Index
- Methods

## Item Index

### Methods

- dump
- dump

## Methods

### `dump`

(

- `o`
- `d`

)
String

Defined in `input/test-linked/dump/dump.js:23`

Returns a simple string representation of the object or array. Other types of objects will be returned unprocessed. Arrays are expected to be indexed. Use object notation for associative arrays.

This method is in the 'dump' module, which is not bundled with the core YUI object

#### Parameters:

- `o` Object

  The object to dump.

- `d` Int

  How deep to recurse child objects, default 3.

#### Returns:

String: the dump result.

### `dump`

(

- `o`
- `d`

)
String

Defined in `input/test2/dump/dump.js:23`

Returns a simple string representation of the object or array. Other types of objects will be returned unprocessed. Arrays are expected to be indexed. Use object notation for associative arrays.

This method is in the 'dump' module, which is not bundled with the core YUI object

#### Parameters:

- `o` Object

  The object to dump.

- `d` Int

  How deep to recurse child objects, default 3.

#### Returns:

String: the dump result.